Loading...
Searching...
No Matches
Planar Embedding and Drawing
Algorithms

## Detailed Description

This group contains the algorithms for planarity checking, embedding and drawing.

## Classes

class | PlanarEmbedding< Graph >
| Planar embedding of an undirected simple graph. More...
class | PlanarDrawing< Graph >
| Schnyder's planar drawing algorithm. More...
class | PlanarColoring< Graph >
| Coloring planar graphs. More...

## Files

file | planarity.h
| Planarity checking, embedding, drawing and coloring.

## Functions

template<typename GR>
bool | checkPlanarity (const GR &graph)
| Planarity checking of an undirected simple graph.

## Function Documentation

## checkPlanarity()

template<typename GR>

bool checkPlanarity | ( | const GR & | graph | ) |

This function implements the Boyer-Myrvold algorithm for planarity checking of an undirected simple graph. It is a simplified version of the PlanarEmbedding algorithm class because neither the embedding nor the Kuratowski subdivisons are computed.